DROP TABLE SENHAPED

USE [ESTACAO]
GO

/****** Object:  Table [TEKNISA].[SENHAPED]    Script Date: 11/01/2018 08:59:13 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [TEKNISA].[SENHAPED](
	[CDFILIAL] [varchar](4) NOT NULL,
	[CDCAIXA] [varchar](3) NOT NULL,
	[NRSEQVENDA] [varchar](50) NOT NULL,
	[CDSENHAPED] [varchar](50) NOT NULL,
	[IDSTATUS] [varchar](1) NULL,
	[DTNOTIFICACAO] [datetime] NULL,
	[NRORG] [float] NULL,
	[IDATIVO] [varchar](1) NULL,
	[DTINCLUSAO] [datetime] NULL,
	[DTULTATU] [datetime] NULL,
	[NRORGINCLUSAO] [float] NULL,
	[CDOPERINCLUSAO] [varchar](12) NULL,
	[NRORGULTATU] [float] NULL,
	[CDOPERULTATU] [varchar](12) NULL,
 CONSTRAINT [PK_SENHAPED] PRIMARY KEY CLUSTERED 
(
	[CDFILIAL] ASC,
	[CDCAIXA] ASC,
	[NRSEQVENDA] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [TEKNISA].[SENHAPED] ADD  DEFAULT (CONVERT([datetime],(CONVERT([varchar],getdate(),(103))+' ')+CONVERT([varchar],getdate(),(108)),(0))) FOR [DTNOTIFICACAO]
GO

ALTER TABLE [TEKNISA].[SENHAPED] ADD  DEFAULT ('1') FOR [NRORG]
GO

ALTER TABLE [TEKNISA].[SENHAPED] ADD  DEFAULT ('S') FOR [IDATIVO]
GO